import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';

export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);

  useEffect(() => {
    json(jsonUrl).then(topoloy => {
      const { countries, land } = topoloy.objects;
      setData({
        land: feature(topoloy, land),
        interiors: mesh(topoloy, countries, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
